com.icesoft.faces.context.effects

## Class EffectsArguments

- java.lang.Object
- - com.icesoft.faces.context.effects.EffectsArguments

- All Implemented Interfaces:
    java.io.Serializable

      public class EffectsArguments
      extends java.lang.Object
      implements java.io.Serializable

  Utility class to set arguments for effects
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectsArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String arg, boolean value)`
    `void` | `add(java.lang.String argument, float value)`
    `void` | `add(java.lang.String argument, java.lang.String value)`
    `void` | `addFunction(java.lang.String argument, java.lang.String function)`
    `void` | `addParameter(int i, java.lang.String value)`
    `boolean` | `equals(java.lang.Object obj)`
    `boolean` | `isEmpty()`
    `void` | `setOptions(java.lang.String value)`
    `void` | `setParameter(int i, float f)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectsArguments

          public EffectsArguments()

  - ### Method Detail

    - #### setParameter

          public void setParameter(int i,
                                   float f)

    - #### addParameter

          public void addParameter(int i,
                                   java.lang.String value)

    - #### add

          public void add(java.lang.String argument,
                          java.lang.String value)

    - #### setOptions

          public void setOptions(java.lang.String value)

    - #### add

          public void add(java.lang.String argument,
                          float value)

    - #### addFunction

          public void addFunction(java.lang.String argument,
                                  java.lang.String function)

    - #### add

          public void add(java.lang.String arg,
                          boolean value)

    - #### isEmpty

          public boolean isEmpty()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.